clear; clc; close all;

data_dir_d = '../figure_data/structure_function/';

%% compare brightness thresholds

figure
load([data_dir_d, 'D2_b100-255.mat']);
loglog(br, D2,'k')
hold on
load([data_dir_d, 'D2_b100-204.mat']);
loglog(br, D2, 'k--')
hold on
loglog(br, (5.2e-3./br(1)).*br.^1, 'k')
loglog(br, (1.2e-2./br(1)^0.5).*br.^0.5, 'k')
ylim([2e-3,6e-2])
xlabel('r (m)')
ylabel('D2$_l$(m$^2$ s$^{-2}$)', 'interpreter', 'latex')

legend({'brightness 100-255', 'brightness 100-204'}, 'location', 'southeast', 'fontsize', 14)

